# Default values for prometheus-cloudwatch-exporter.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: prom/cloudwatch-exporter
  tag: cloudwatch_exporter-0.5.0
  pullPolicy: IfNotPresent

# Example proxy configuration:
# command:
#   - 'java'
#   - '-Dhttp.proxyHost=proxy.example.com'
#   - '-Dhttp.proxyPort=3128'
#   - '-Dhttps.proxyHost=proxy.example.com'
#   - '-Dhttps.proxyPort=3128'
#   - '-jar'
#   - '/cloudwatch_exporter.jar'
#   - '9106'
#   - '/config/config.yml'

command: []

service:
  type: ClusterIP
  port: 9106
  portName: http
  annotations: {}
  labels: {}

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #    memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

aws:
  role:

  # The name of a pre-created secret in which AWS credentials are stored. When
  # set, aws_access_key_id is assumed to be in a field called access_key,
  # aws_secret_access_key is assumed to be in a field called secret_key, and the
  # session token, if it exists, is assumed to be in a field called
  # security_token
  secret:
    name: cloudwatch
    includesSessionToken: false

  # Note: Do not specify the aws_access_key_id and aws_secret_access_key if you specified role or secret.name before
  aws_access_key_id:
  aws_secret_access_key:

serviceAccount:
  # Specifies whether a ServiceAccount should be created
  create: true
  # The name of the ServiceAccount to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

rbac:
  # Specifies whether RBAC resources should be created
  create: true

config: |-
  # This is the default configuration for prometheus-cloudwatch-exporter
  ---
region: us-east-1
metrics:
- aws_namespace: AWS/NetworkELB
  aws_metric_name: NewFlowCount
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/NetworkELB
  aws_metric_name: NewFlowCount_TLS
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/NetworkELB
  aws_metric_name: TargetTLSNegotiationErrorCount
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/NetworkELB
  aws_metric_name: ClientTLSNegotiationErrorCount
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/NetworkELB
  aws_metric_name: ActiveFlowCount
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/NetworkELB
  aws_metric_name: ActiveFlowCount_TLS
  aws_dimensions: [LoadBalancer]
  aws_dimension_select:
    LoadBalancer: [net/SnowPlowNLB/d9830d6cd70bfcf5]
  aws_statistics: [Average]
- aws_namespace: AWS/Kinesis
  aws_metric_name: IncomingBytes
  aws_dimensions: [StreamName, ShardId]
  aws_dimension_select:
    StreamName: [snowplow-enriched-good, snowplow-enriched-bad, snowplow-raw-good, snowplow-raw-bad]
  aws_statistics: [Sum]
- aws_namespace: AWS/Kinesis
  aws_metric_name: GetRecords.Bytes
  aws_dimensions: [StreamName]
  aws_dimension_select:
    StreamName: [snowplow-enriched-good, snowplow-enriched-bad, snowplow-raw-good, snowplow-raw-bad]
  aws_statistics: [Sum]

nodeSelector: {}

tolerations: []

affinity: {}

# Configurable health checks against the /healthy and /ready endpoints
livenessProbe:
  initialDelaySeconds: 30
  periodSeconds: 5
  timeoutSeconds: 5
  successThreshold: 1
  failureThreshold: 3

readinessProbe:
  initialDelaySeconds: 30
  periodSeconds: 5
  timeoutSeconds: 5
  successThreshold: 1
  failureThreshold: 3

serviceMonitor:
  # When set true then use a ServiceMonitor to configure scraping
  enabled: false
  # Set the namespace the ServiceMonitor should be deployed
  # namespace: monitoring
  # Set how frequently Prometheus should scrape
  # interval: 30s
  # Set path to cloudwatch-exporter telemtery-path
  # telemetryPath: /metrics
  # Set labels for the ServiceMonitor, use this to define your scrape label for Prometheus Operator
  # labels:
  # Set timeout for scrape
  # timeout: 10s
  # Set relabelings for the ServiceMonitor, use to apply to samples before scraping
  # relabelings: []
  # Set metricRelabelings for the ServiceMonitor, use to apply to samples for ingestion
  # metricRelabelings: []
  #
  # Example - note the Kubernetes convention of camelCase instead of Prometheus' snake_case
  # metricRelabelings:
  #   - sourceLabels: [dbinstance_identifier]
  #     action: replace
  #     replacement: mydbname
  #     targetLabel: dbname

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  labels: {}
  path: /
  hosts:
    - chart-example.local
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

securityContext:
  runAsUser: 65534  # run as nobody user instead of root
